# Copyright 2005 Sun Microsystems, Inc. All rights reserved.
# Use is subject to license terms.
#pragma ident  "@(#)Config-Readerelp-d.x	1.19 04/04/05 11:58:41, Sun Microsystems, Inc."

[ use MANAGED-MODULE ]
[ requires template Config-Readerelp-models-d ]

[ load Config-Readerelp-m.x ]

_refreshObj = {
	[ use PROC ]
	[ source Config-Readerelp-d.prc ]
}

_ts_procedures = {
        [ source Config-Readerelp-ts-d.prc ]
}

adhocCommand(tree) = probeserver -u root -c /usr/bin/cat [ toe_send [ locate .iso*ReaderELP._ts_procedures ] writeTreeFile ]

adhocCommand(schema) = probeserver -u root -c /usr/bin/cat [ toe_send [ locate .iso*ReaderELP._ts_procedures ] schemaFileLoc ]


activateActions(pre) = initialize
activateService(initialize) = _refreshObj
activateCommand(initialize) = initialize_daq

deactivateActions(pre) = shutdown
deactivateService(shutdown) = _refreshObj
deactivateCommand(shutdown) = shutdown_daq

availability = {
	refreshService = _refreshObj
	refreshCommand = moduleAvailability
	refreshInterval = 60
	initInterval = 0
	initHoldoff = 2
}

discovery = { [ use templates.Config-Readerelp-models-d.discovery ]
        magic_number = { 
			type = active
			refreshService = _internal
			refreshCommand = list "53444f54"
			refreshMode = sync
			refreshInterval = 0
		}
		dot_table = {
			type = active
			refreshService   = _refreshObj
			refreshCommand = discoveryRefreshTable
			refreshMode = sync
			refreshInterval = 0
		}
}

system = { [ use templates.Config-Readerelp-models-d.system ]
	type	         = derived
	refreshService   = _refreshObj
	refreshCommand   = daqGetProperties system 

	total_config_changes = {
		type             = active
		refreshService   = _refreshObj
		refreshMode      = sync
		refreshCommand   = getConfigChanges
		refreshInterval  = 300
		initInterval     = 2
		initHoldoff      = 5
	}

}

PhysicalComponents = { [ use templates.Config-Readerelp-models-d.PhysicalComponents ]

	Fan = { [ use templates.Config-Readerelp-models-d.PhysicalComponents.Fan ]
		FanTable = {
			type             = derived
			refreshService   = _refreshObj
			refreshCommand   = daqGetProperties Fan
		}
	}

	PowerSupply = { [ use templates.Config-Readerelp-models-d.PhysicalComponents.PowerSupply ]
		PowerSupplyTable = { 
			type             = derived
			refreshService   = _refreshObj
			refreshCommand   = daqGetProperties PowerSupply
		}
	}

	ExpansionCard = { [ use templates.Config-Readerelp-models-d.PhysicalComponents.ExpansionCard ]
		ExpansionCardTable = { 
			type             = derived
			refreshService   = _refreshObj
			refreshCommand   = daqGetProperties ExpansionCard
		}
	}

	MemoryModule = { [ use templates.Config-Readerelp-models-d.PhysicalComponents.MemoryModule ]
		MemoryModuleTable = { 
			type             = derived
			refreshService   = _refreshObj
			refreshCommand   = daqGetProperties MemoryModule
		}
	}

	Component = { [ use templates.Config-Readerelp-models-d.PhysicalComponents.Component ]
		ComponentTable = {
			type             = derived
			refreshService = _refreshObj
			refreshCommand   = daqGetProperties Component
		}
	}

	Location = { [ use templates.Config-Readerelp-models-d.PhysicalComponents.Location ]
		LocationTable = {
			type             = derived
			refreshService = _refreshObj
			refreshCommand   = daqGetProperties Location
		}
	}

}

LogicalDevices = { [ use templates.Config-Readerelp-models-d.LogicalDevices ]

	CPU = { [ use templates.Config-Readerelp-models-d.LogicalDevices.CPU ] 
		CPUTable = {
			type             = derived
			refreshService = _refreshObj
			refreshCommand   = daqGetProperties CPU
		}
	}

	MediaAccessDevice = { [ use templates.Config-Readerelp-models-d.LogicalDevices.MediaAccessDevice ] 
		MediaAccessDeviceTable = {
			type             = derived
			refreshService = _refreshObj
			refreshCommand   = daqGetProperties MediaAccessDevice
		}
	}

	NetworkInterface = { [ use templates.Config-Readerelp-models-d.LogicalDevices.NetworkInterface ] 
		NetworkInterfaceTable = {
			type             = derived
			refreshService = _refreshObj
			refreshCommand   = daqGetProperties NetworkInterface
		}
	}

	Indicator = { [ use templates.Config-Readerelp-models-d.LogicalDevices.Indicator ] 
		IndicatorTable = {
			type             = derived
			refreshService = _refreshObj
			refreshCommand   = daqGetProperties Indicator
		}
	}

	OtherLogicalDevice = { [ use templates.Config-Readerelp-models-d.LogicalDevices.OtherLogicalDevice ] 
		OtherLogicalDeviceTable = {
			type             = derived
			refreshService = _refreshObj
			refreshCommand   = daqGetProperties OtherLogicalDevice
		}
	}

}

Sensors = { [ use templates.Config-Readerelp-models-d.Sensors ]
	
	TemperatureSensor = { [ use templates.Config-Readerelp-models-d.Sensors.TemperatureSensor ]
		NumericTemperatureSensorTable = {
			type             = derived
			refreshService = _refreshObj
			refreshCommand   = daqGetProperties NumericTemperatureSensorTable
		}

		NonNumericTemperatureSensorTable = {
			type             = derived
			refreshService = _refreshObj
			refreshCommand   = daqGetProperties NonNumericTemperatureSensorTable
		}
	}
	
	VoltageSensor = { [ use templates.Config-Readerelp-models-d.Sensors.VoltageSensor ]
		NumericVoltageSensorTable = {
			type             = derived
			refreshService = _refreshObj
			refreshCommand   = refreshNumericVoltageSensorTable
			refreshCommand   = daqGetProperties NumericVoltageSensorTable
		}
	
		NonNumericVoltageSensorTable = {
			type             = derived
			refreshService = _refreshObj
			refreshCommand   = daqGetProperties NonNumericVoltageSensorTable
		}
	}

	CurrentSensor = { [ use templates.Config-Readerelp-models-d.Sensors.CurrentSensor ]
		NumericCurrentSensorTable = {
			type             = derived
			refreshService = _refreshObj
			refreshCommand   = daqGetProperties NumericCurrentSensorTable
		}
	
		NonNumericCurrentSensorTable = {
			type             = derived
			refreshService = _refreshObj
			refreshCommand   = daqGetProperties NonNumericCurrentSensorTable
		}
	}

	Tachometer = { [ use templates.Config-Readerelp-models-d.Sensors.Tachometer ]
		NumericTachometerTable = {
			type             = derived
			refreshService = _refreshObj
			refreshCommand   = daqGetProperties NumericTachometerTable
		}
	
		NonNumericTachometerTable = {
			type             = derived
			refreshService = _refreshObj
			refreshCommand   = daqGetProperties NonNumericTachometerTable
		}
	}

}

